Skip to main content
PATCH
/
v1
/
agents
/
{id}
Update an agent
curl --request PATCH \
  --url https://api.getsly.ai/v1/v1/agents/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "skills": [
    "<string>"
  ],
  "metadata": {}
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parent_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "status": "active",
    "kya_tier": 1,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "skills": [],
    "metadata": {},
    "public_key": "<string>",
    "connected": false
  }
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 255
description
string | null
Maximum string length: 1000
skills
string[]
metadata
object

Response

Updated agent

data
object
required